## haskell-convertible-text 0.3.0.10

=== debian/changelog ===
haskell-convertible-text (0.3.0.10-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sun, 11 Sep 2011 13:25:00 -0400
