=== debian/control ===
Source: haskell-convertible-text
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , ghc-ghci
  , libghc-attempt-dev (>> 0.3.0)
  , libghc-attempt-dev (<< 0.4)
  , libghc-attempt-prof
  , libghc-text-dev (>> 0.5)
  , libghc-text-dev (<< 0.12)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-attempt-doc
  , libghc-text-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/convertible-text
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-convertible-text
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-convertible-text

Package: libghc-convertible-text-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: typeclasses and instances for converting between types
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is a port of John Goerzen's convertible package, intended to
 distinguish between conversions which are guaranteed to succeed and
 those which might fail. It uses the attempt package, which in turn
 uses the failure package, so that this package is fully compatible
 with the failure framework.
 .
 This package currently contains all of the typeclasses and instances
 for convertible. However, as these features are ported to the
 convertible package, this package will be left with only the instances
 for converting to and from text types (String, ByteString (lazy and
 strict) and Text (lazy and strict).
 .
 Be aware that conversions to and from bytestrings assume UTF-8
 encoding. If a different encoding is desired, you can use a newtype
 wrapper and declare an instance of ConvertAttempt or ConvertSuccess
 on it.
 .
 The main module to import is Data.Convertible.Text.

Package: libghc-convertible-text-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: typeclasses and instances for converting between types; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is a port of John Goerzen's convertible package, intended to
 distinguish between conversions which are guaranteed to succeed and
 those which might fail. It uses the attempt package, which in turn
 uses the failure package, so that this package is fully compatible
 with the failure framework.
 .
 This package currently contains all of the typeclasses and instances
 for convertible. However, as these features are ported to the
 convertible package, this package will be left with only the instances
 for converting to and from text types (String, ByteString (lazy and
 strict) and Text (lazy and strict).
 .
 Be aware that conversions to and from bytestrings assume UTF-8
 encoding. If a different encoding is desired, you can use a newtype
 wrapper and declare an instance of ConvertAttempt or ConvertSuccess
 on it.
 .
 The main module to import is Data.Convertible.Text.

Package: libghc-convertible-text-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: typeclasses and instances for converting between types; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This is a port of John Goerzen's convertible package, intended to
 distinguish between conversions which are guaranteed to succeed and
 those which might fail. It uses the attempt package, which in turn
 uses the failure package, so that this package is fully compatible
 with the failure framework.
 .
 This package currently contains all of the typeclasses and instances
 for convertible. However, as these features are ported to the
 convertible package, this package will be left with only the instances
 for converting to and from text types (String, ByteString (lazy and
 strict) and Text (lazy and strict).
 .
 Be aware that conversions to and from bytestrings assume UTF-8
 encoding. If a different encoding is desired, you can use a newtype
 wrapper and declare an instance of ConvertAttempt or ConvertSuccess
 on it.
 .
 The main module to import is Data.Convertible.Text.
